function s = strdisp(s0, marker, marker_ch)
% s_dest = strdisp(s_sour, marker, ch)
% This function displays a string by replacing all markers (default: 127) 
% by a specific character (default: '*')
%
% Shujun Li @ www.hooklee.com 2010-2011

s = [];

if nargin<1
    disp('At least one input argument is needed!');
    return;
end

if ~exist('marker','var')
    marker = 127;
end
if ~exist('marker_ch','var')
    marker_ch = '*';
end

s = strrep(s0, char(marker), marker_ch);
